Index: branches/playability/src/world_entities/weapons/acid_launcher.cc
===================================================================
--- branches/playability/src/world_entities/weapons/acid_launcher.cc	(revision 10485)
+++ branches/playability/src/world_entities/weapons/acid_launcher.cc	(revision 10486)
@@ -32,4 +32,6 @@
 
 #include "util/loading/factory.h"
+
+#include "elements/glgui_energywidgetvertical.h"
 
 
@@ -122,4 +124,10 @@
 void AcidLauncher::tick(float dt)
 {
+  if (this->energyWidget != NULL && !this->isEnergyWidgetInitialized)
+  {
+    this->energyWidget->setDisplayedImage("textures/gui/gui_acid.png");
+    this->isEnergyWidgetInitialized = true;
+  }
+
   if (!Weapon::tickW(dt))
     return;
Index: branches/playability/src/world_entities/weapons/heavy_blaster.cc
===================================================================
--- branches/playability/src/world_entities/weapons/heavy_blaster.cc	(revision 10485)
+++ branches/playability/src/world_entities/weapons/heavy_blaster.cc	(revision 10486)
@@ -10,4 +10,6 @@
 
 #include "loading/fast_factory.h"
+
+#include "elements/glgui_energywidgetvertical.h"
 
 CREATE_FACTORY(HeavyBlaster);
@@ -259,2 +261,11 @@
   glPopMatrix();
 }
+
+void HeavyBlaster::tick(float dt)
+{
+  if (this->energyWidget != NULL && !this->isEnergyWidgetInitialized)
+  {
+    this->energyWidget->setDisplayedImage("textures/gui/gui_heavy_bolt.png");
+    this->setEnergyWidgetInitialized(true);
+  }
+}
Index: branches/playability/src/world_entities/weapons/heavy_blaster.h
===================================================================
--- branches/playability/src/world_entities/weapons/heavy_blaster.h	(revision 10485)
+++ branches/playability/src/world_entities/weapons/heavy_blaster.h	(revision 10486)
@@ -29,4 +29,6 @@
     virtual void fire();
 
+    virtual void tick(float dt);
+
     virtual void draw() const;
 
Index: branches/playability/src/world_entities/weapons/light_blaster.cc
===================================================================
--- branches/playability/src/world_entities/weapons/light_blaster.cc	(revision 10485)
+++ branches/playability/src/world_entities/weapons/light_blaster.cc	(revision 10486)
@@ -10,4 +10,6 @@
 
 #include "loading/fast_factory.h"
+
+#include "elements/glgui_energywidgetvertical.h"
 
 CREATE_FACTORY(LightBlaster);
@@ -123,5 +125,4 @@
 }
 
-
 void LightBlaster::fire()
 {
@@ -173,3 +174,13 @@
     static_cast<StaticModel*>(this->getModel())->draw();
   glPopMatrix();
+
 }
+
+void LightBlaster::tick(float dt)
+{
+  if (this->energyWidget != NULL && !this->isEnergyWidgetInitialized)
+  {
+    this->energyWidget->setDisplayedImage("textures/gui/gui_light_bolt.png");
+    this->setEnergyWidgetInitialized(true);
+  }
+}
Index: branches/playability/src/world_entities/weapons/light_blaster.h
===================================================================
--- branches/playability/src/world_entities/weapons/light_blaster.h	(revision 10485)
+++ branches/playability/src/world_entities/weapons/light_blaster.h	(revision 10486)
@@ -26,4 +26,6 @@
     virtual void fire();
 
+    virtual void tick(float dt);
+
     virtual void draw() const;
 
Index: branches/playability/src/world_entities/weapons/medium_blaster.cc
===================================================================
--- branches/playability/src/world_entities/weapons/medium_blaster.cc	(revision 10485)
+++ branches/playability/src/world_entities/weapons/medium_blaster.cc	(revision 10486)
@@ -10,4 +10,6 @@
 
 #include "loading/fast_factory.h"
+
+#include "elements/glgui_energywidgetvertical.h"
 
 //
@@ -138,4 +140,5 @@
 }
 
+
 /**
  *  this activates the weapon
@@ -172,2 +175,11 @@
   glPopMatrix();
 }
+
+void MediumBlaster::tick(float dt)
+{
+  if (this->energyWidget != NULL && !this->isEnergyWidgetInitialized)
+  {
+    this->energyWidget->setDisplayedImage("textures/gui/gui_medium_bold.png");
+    this->setEnergyWidgetInitialized(true);
+  }
+}
Index: branches/playability/src/world_entities/weapons/medium_blaster.h
===================================================================
--- branches/playability/src/world_entities/weapons/medium_blaster.h	(revision 10485)
+++ branches/playability/src/world_entities/weapons/medium_blaster.h	(revision 10486)
@@ -26,4 +26,6 @@
     virtual void fire();
 
+    virtual void tick(float dt);
+
     virtual void draw() const;
 
Index: branches/playability/src/world_entities/weapons/spike_thrower.cc
===================================================================
--- branches/playability/src/world_entities/weapons/spike_thrower.cc	(revision 10485)
+++ branches/playability/src/world_entities/weapons/spike_thrower.cc	(revision 10486)
@@ -34,4 +34,6 @@
 
 #include "util/loading/factory.h"
+
+#include "elements/glgui_energywidgetvertical.h"
 
 
@@ -125,4 +127,10 @@
 void SpikeThrower::tick(float dt)
 {
+  if (this->energyWidget != NULL && !this->isEnergyWidgetInitialized)
+  {
+    this->energyWidget->setDisplayedImage("textures/gui/gui_spikeball.png");
+    this->isEnergyWidgetInitialized = true;
+  }
+
   if (!Weapon::tickW(dt))
     return;
Index: branches/playability/src/world_entities/weapons/swarm_launcher.cc
===================================================================
--- branches/playability/src/world_entities/weapons/swarm_launcher.cc	(revision 10485)
+++ branches/playability/src/world_entities/weapons/swarm_launcher.cc	(revision 10486)
@@ -33,4 +33,6 @@
 
 #include "util/loading/factory.h"
+
+#include "elements/glgui_energywidgetvertical.h"
 
 
@@ -141,4 +143,10 @@
 
   this->setAbsDirSoft(quat, 5);
+
+  if (this->energyWidget != NULL && !this->isEnergyWidgetInitialized)
+  {
+    this->energyWidget->setDisplayedImage("textures/gui/gui_swarm_missiles.png");
+    this->setEnergyWidgetInitialized(true);
+  }
 }
 
Index: branches/playability/src/world_entities/weapons/weapon.cc
===================================================================
--- branches/playability/src/world_entities/weapons/weapon.cc	(revision 10485)
+++ branches/playability/src/world_entities/weapons/weapon.cc	(revision 10486)
@@ -154,4 +154,5 @@
 
   this->energyWidget = NULL;
+  isEnergyWidgetInitialized = false;
 
   // set this object to be synchronized over network
Index: branches/playability/src/world_entities/weapons/weapon.h
===================================================================
--- branches/playability/src/world_entities/weapons/weapon.h	(revision 10485)
+++ branches/playability/src/world_entities/weapons/weapon.h	(revision 10486)
@@ -190,4 +190,6 @@
     inline int getPreferedSlot() { return this->preferedSlot; }
 
+    inline void setEnergyWidgetInitialized(bool b) {this->isEnergyWidgetInitialized = b;};
+
 
   protected:
@@ -207,4 +209,8 @@
 
     void setPreferedSlot(int slot, int side) { this->preferedSlot = slot; this->preferedSide = side; }
+
+    //gui
+    OrxGui::GLGuiEnergyWidgetVertical* energyWidget;
+    bool  isEnergyWidgetInitialized;
 
 
@@ -238,5 +244,5 @@
     float                maxCharge;                        //!< The maximal energy to be loaded onto one projectile (this is only availible if chargeable is enabled)
 
-    OrxGui::GLGuiEnergyWidgetVertical* energyWidget;
+    //OrxGui::GLGuiEnergyWidgetVertical* energyWidget;
 
     PNode*               defaultTarget;                    //!< A target for targeting Weapons.