Index: trunk/src/lib/gui/gl/glgui_container.cc
===================================================================
--- trunk/src/lib/gui/gl/glgui_container.cc	(revision 10488)
+++ trunk/src/lib/gui/gl/glgui_container.cc	(revision 10489)
@@ -43,5 +43,5 @@
     this->registerObject(this, GLGuiContainer::_objectList);
 
-    this->setBackgroundTexture("textures/gui/gui_container_background.png");
+//     this->setBackgroundTexture("textures/gui/gui_container_background.png");
 
   }
Index: trunk/src/lib/gui/gl/glgui_widget.cc
===================================================================
--- trunk/src/lib/gui/gl/glgui_widget.cc	(revision 10488)
+++ trunk/src/lib/gui/gl/glgui_widget.cc	(revision 10489)
@@ -129,5 +129,5 @@
 
     this->setBorderLeft(15);
-    this->setBackgroundTexture("textures/gui/gui_element_background.png");
+//     this->setBackgroundTexture("textures/gui/gui_element_background.png");
 
     this->switchState(_state);
@@ -565,9 +565,9 @@
   }
 
-  
-  
-  
-  
-  
+
+
+
+
+
   /**
   * @brief sets the Background Texture to all States.
@@ -594,8 +594,8 @@
     }
   }
-  
-  
-  
-  
+
+
+
+
   /**
    * @brief sets the Background Texture.
@@ -943,7 +943,7 @@
   }
 
-  void GLGuiWidget::beginDraw() const 
-  { 
-    glPushMatrix(); 
+  void GLGuiWidget::beginDraw() const
+  {
+    glPushMatrix();
     glTranslatef(this->getAbsCoor2D().x, this->getAbsCoor2D().y, 0);
     glRotatef(this->getAbsDir2D(), 0, 0, 1);
Index: trunk/src/world_entities/questGUI/quest_gui.cc
===================================================================
--- trunk/src/world_entities/questGUI/quest_gui.cc	(revision 10488)
+++ trunk/src/world_entities/questGUI/quest_gui.cc	(revision 10489)
@@ -76,5 +76,5 @@
 
   this->bKillGui = false;
-  
+
   this->bActive = false;
 
@@ -118,10 +118,10 @@
     questBox->setBorderLeft(10);
     questBox->setBorderBottom(10);
-    this->questBox->setBackgroundTexture("maps/rand.png");
+    this->questBox->setBackgroundTexture("textures/gui/gui_quest_border.png");
     this->bKillGui = false;
 
     OrxGui::GLGuiBox* headerBox = new OrxGui::GLGuiBox(OrxGui::Horizontal);
     {
-      headerBox->setBackgroundTexture("maps/rand-unten.png");
+      headerBox->setBackgroundTexture("textures/gui/gui_quest_border_low.png");
       OrxGui::GLGuiImage* questImage = new OrxGui::GLGuiImage();
       questImage->setWidgetSize(100, 100);
@@ -131,5 +131,5 @@
 
       OrxGui::GLGuiBox* outlineBox = new OrxGui::GLGuiBox(OrxGui::Vertical);
-      {      
+      {
         OrxGui::GLGuiMultiLineText* questDetails = new OrxGui::GLGuiMultiLineText();
         questDetails->setText(this->myQuest->getQuestDifficulty());
@@ -150,9 +150,9 @@
     OrxGui::GLGuiBox* labelBox = new OrxGui::GLGuiBox(OrxGui::Horizontal);
     {
-      labelBox->setBackgroundTexture("maps/rand-unten.png");
+      labelBox->setBackgroundTexture("textures/gui/gui_quest_border_low.png");
       OrxGui::GLGuiMultiLineText* questTxt = new OrxGui::GLGuiMultiLineText();
       questTxt->setText(this->myQuest->getQuestDescription());
       labelBox->pack(questTxt);
-      
+
       OrxGui::GLGuiImage* placeImage = new OrxGui::GLGuiImage();
       placeImage->setWidgetSize(85, 10);
@@ -160,6 +160,6 @@
       placeImage->show();
       labelBox->pack(placeImage);
-      
-      
+
+
       labelBox->setBorderTop(0);
       labelBox->setBorderRight(0);
@@ -171,5 +171,5 @@
     OrxGui::GLGuiBox* rewardBox = new OrxGui::GLGuiBox(OrxGui::Horizontal);
     {
-      rewardBox->setBackgroundTexture("maps/rand-unten.png");
+      rewardBox->setBackgroundTexture("textures/gui/gui_quest_border_low.png");
       OrxGui::GLGuiImage* rewardImage = new OrxGui::GLGuiImage();
       rewardImage->setWidgetSize(100, 100);
@@ -194,10 +194,10 @@
       placeImage->show();
       answerBox->pack(placeImage);
-      
+
       OrxGui::GLGuiBox* acceptBox = new OrxGui::GLGuiBox(OrxGui::Horizontal);
       {
         //acceptBox->setBackgroundTexture("maps/accept.png");
-        acceptBox->setBackgroundTexture("maps/accept.png", OrxGui::Normal);
-        acceptBox->setBackgroundTexture("maps/acceptrout.png", OrxGui::Selected);
+        acceptBox->setBackgroundTexture("textures/gui/gui_quest_accept.jpg", OrxGui::Normal);
+        //acceptBox->setBackgroundTexture("maps/gui_quest_acceptrout.png", OrxGui::Selected);
         OrxGui::GLGuiButton* acceptButton = new OrxGui::GLGuiPushButton("        ");
         acceptButton->released.connect(this, &QuestGUI::accept);
@@ -209,14 +209,14 @@
       }
       answerBox->pack(acceptBox);
-      
+
       OrxGui::GLGuiImage* placeImage2 = new OrxGui::GLGuiImage();
       placeImage2->setWidgetSize(300, 10);
-      placeImage2->loadImageFromFile("maps/schwarz.png");
+      placeImage2->loadImageFromFile("textures/gui/gui_quest_black.png");
       placeImage2->show();
       answerBox->pack(placeImage2);
-      
+
       OrxGui::GLGuiBox* refuseBox = new OrxGui::GLGuiBox(OrxGui::Horizontal);
       {
-        refuseBox->setBackgroundTexture("maps/refuserout.png");
+        refuseBox->setBackgroundTexture("textures/gui/gui_quest_refuserout.gif");
         OrxGui::GLGuiButton* refuseButton = new OrxGui::GLGuiPushButton("        ");
         refuseButton->released.connect(this, &QuestGUI::refuse);