Index: /trunk/src/world_entities/effects/billboard.cc
===================================================================
--- /trunk/src/world_entities/effects/billboard.cc	(revision 10490)
+++ /trunk/src/world_entities/effects/billboard.cc	(revision 10491)
@@ -154,5 +154,5 @@
   // changes the color of the texture (if any is set)
   if(this->texColor != NULL)
-    glColor4ub((GLubyte)this->texColor->r()*255, (GLubyte)this->texColor->g()*255, (GLubyte)this->texColor->b()*255, (GLubyte)(this->texColor->a()*255));
+    glColor4ub((GLubyte)(this->texColor->r()*255.0f), (GLubyte)(this->texColor->g()*255.0f), (GLubyte)(this->texColor->b()*255.0f), (GLubyte)(this->texColor->a()*255));
 
   glBegin(GL_QUADS);
Index: /trunk/src/world_entities/effects/blink.cc
===================================================================
--- /trunk/src/world_entities/effects/blink.cc	(revision 10490)
+++ /trunk/src/world_entities/effects/blink.cc	(revision 10491)
@@ -38,4 +38,5 @@
   // calculation of the symbolTime
   this->symbolTime = this->period / this->blinkSequence.length();
+  //PRINTF(0)("\n\n\nperiod: %f\n\n\n", this->period);
 }
 
@@ -80,4 +81,7 @@
   this->timer = 0;
   this->seqCounter = 0;
+
+  // ugly hack continued
+  this->setCoor = true;
 }
 
@@ -91,5 +95,5 @@
   WorldEntity::loadParams(root);
 
-  LoadParam(root, "position", this, Blink, setPosition);
+  LoadParam(root, "position", this, Blink, PNode::setAbsCoor);
   LoadParam(root, "size", this, Blink, setSize);
   LoadParam(root, "color", this, Blink, setColor);
@@ -105,4 +109,11 @@
 void Blink::tick(float dt)
 {
+  // ugly hack continued, set absCoor only once
+  if(this->setCoor) {
+    this->bBoard->setAbsCoor(this->getAbsCoor());
+    this->setCoor = false;
+    this->symbolTime = this->period / this->blinkSequence.length();
+  }
+
   timer += dt;
 
Index: /trunk/src/world_entities/effects/blink.h
===================================================================
--- /trunk/src/world_entities/effects/blink.h	(revision 10490)
+++ /trunk/src/world_entities/effects/blink.h	(revision 10491)
@@ -36,5 +36,7 @@
     void loadParams(const TiXmlElement* root);
 
-    void setPosition(float x, float y, float z) { this->bBoard->setAbsCoor(x, y, z); }
+    //void setAbsCoor(const Vector& absCoor) { this->bBoard->setAbsCoor(absCoor); }
+    //void setAbsCoor(float x, float y, float z) { this->bBoard->setAbsCoor(x, y, z); }
+    //void setPosition(float x, float y, float z) { this->bBoard->setAbsCoor(x, y, z); }
     void setSize(float s) { this->size = s; this->bBoard->setSize(this->size, this->size); }
     void setPeriod(float t) { this->period = t; }
@@ -56,4 +58,5 @@
     float             symbolTime;       //! defines how long one symbol of the sequence will be shown in sec
     float             timer;
+    bool              setCoor;          // this is a really ugly hack
 };
 
Index: /trunk/src/world_entities/mount_point.cc
===================================================================
--- /trunk/src/world_entities/mount_point.cc	(revision 10490)
+++ /trunk/src/world_entities/mount_point.cc	(revision 10491)
@@ -176,5 +176,5 @@
       this->_mount->setParent( this);
 
-      this->_mount->toList( (OM_LIST)(this->getOMListNumber()+1));
+      this->_mount->toList((OM_LIST)(this->getOMListNumber()));
     }
     else if( obj->isA( WeaponSlot::staticClassID()))
Index: /trunk/src/world_entities/questGUI/quest_gui.cc
===================================================================
--- /trunk/src/world_entities/questGUI/quest_gui.cc	(revision 10490)
+++ /trunk/src/world_entities/questGUI/quest_gui.cc	(revision 10491)
@@ -157,5 +157,5 @@
       OrxGui::GLGuiImage* placeImage = new OrxGui::GLGuiImage();
       placeImage->setWidgetSize(85, 10);
-      placeImage->loadImageFromFile("maps/schwarz.png");
+      placeImage->loadImageFromFile("textures/gui/gui_quest_black.png");
       placeImage->show();
       labelBox->pack(placeImage);
@@ -191,5 +191,5 @@
       OrxGui::GLGuiImage* placeImage = new OrxGui::GLGuiImage();
       placeImage->setWidgetSize(20, 10);
-      placeImage->loadImageFromFile("maps/schwarz.png");
+      placeImage->loadImageFromFile("textures/gui/gui_quest_black.png");
       placeImage->show();
       answerBox->pack(placeImage);