Index: /trunk/src/world_entities/cameraman.cc
===================================================================
--- /trunk/src/world_entities/cameraman.cc	(revision 10496)
+++ /trunk/src/world_entities/cameraman.cc	(revision 10497)
@@ -47,4 +47,5 @@
                         //->addMethod("setViewMode", Executor2<CameraMan, lua_State*,const std::string&,const std::string&>(&CameraMan::setViewMode))
                         ->addMethod("setRelCoor", Executor4<CameraMan, lua_State*,const std::string&,float,float,float>(&CameraMan::setRelCameraCoor))
+                        ->addMethod("setRelCoorSoft", Executor5<CameraMan, lua_State*,const std::string&,float,float,float,float>(&CameraMan::setRelCameraCoorSoft))
                        );
 
@@ -94,36 +95,28 @@
 {
      BaseObject* newCam = ObjectListBase::getBaseObject("Camera", cameraName);
-     switch (viewMode)
-     {
-         default:
-         case "ViewNormal":
-         {
-             dynamic_cast<Camera*>(newCam)->setViewMode(Camera::ViewNormal);
-             break;
-         }
-         case "ViewTop":
-         {
-              dynamic_cast<Camera*>(newCam)->setViewMode(Camera::ViewTop);
-              break;
-         }
-         case "ViewBehind":
-         {
-              dynamic_cast<Camera*>(newCam)->setViewMode(Camera::ViewBehind);
-              break;
-         }
-         case "ViewFront":
-         {
-              dynamic_cast<Camera*>(newCam)->setViewMode(Camera::ViewFront);
-              break;
-         }
-         case "ViewLeft":
-         {
-              dynamic_cast<Camera*>(newCam)->setViewMode(Camera::ViewLeft);
-              break;
-         }
-         case "ViewRight":
-         {
-              dynamic_cast<Camera*>(newCam)->setViewMode(Camera::ViewRight);
-         }
+     
+     if (!strcmp(viewMode, "ViewNormal"))
+     {
+         dynamic_cast<Camera*>(newCam)->setViewMode(Camera::ViewNormal);
+     }
+     else if (!strcmp(viewMode, "ViewTop"))
+     {
+         dynamic_cast<Camera*>(newCam)->setViewMode(Camera::ViewTop);
+     }
+     else if (!strcmp(viewMode, "ViewBehind"))
+     {
+         dynamic_cast<Camera*>(newCam)->setViewMode(Camera::ViewBehind);
+     }
+     else if (!strcmp(viewMode, "ViewFront"))
+     {
+         dynamic_cast<Camera*>(newCam)->setViewMode(Camera::ViewFront);
+     }
+     else if (!strcmp(viewMode, "ViewLeft"))
+     {
+         dynamic_cast<Camera*>(newCam)->setViewMode(Camera::ViewLeft);
+     }
+     else if (!strcmp(viewMode, "ViewRight"))
+     {
+         dynamic_cast<Camera*>(newCam)->setViewMode(Camera::ViewRight);
      }
 }*/
@@ -136,4 +129,10 @@
 }
 
+void CameraMan::setRelCameraCoorSoft(const std::string& camName, float x, float y, float z, float bias)
+{
+     BaseObject* newCam = ObjectListBase::getBaseObject("Camera", camName);
+     dynamic_cast<Camera*>(newCam)->setRelCoorSoft(x,y,z,bias);
+     dynamic_cast<Camera*>(newCam)->target->setRelCoorSoft(0,0,0,bias);
+}
 
 void CameraMan::setCam(unsigned int cameraNo)
@@ -229,4 +228,5 @@
     fadeToBlack->toggleFade();
 }
+
 
 void CameraMan::initFadeBlack()
Index: /trunk/src/world_entities/cameraman.h
===================================================================
--- /trunk/src/world_entities/cameraman.h	(revision 10496)
+++ /trunk/src/world_entities/cameraman.h	(revision 10497)
@@ -56,4 +56,5 @@
     void jumpCam(const std::string& cameraName, float x, float y, float z);
     void setRelCameraCoor(const std::string& cameraName, float x, float y, float z);
+    void setRelCameraCoorSoft(const std::string& cameraName, float x, float y, float z, float bias);
     //void setViewMode(const std::string& camName, const std::string& viewMode);
     
Index: /trunk/src/world_entities/space_ships/space_ship.cc
===================================================================
--- /trunk/src/world_entities/space_ships/space_ship.cc	(revision 10496)
+++ /trunk/src/world_entities/space_ships/space_ship.cc	(revision 10497)
@@ -367,6 +367,6 @@
   //this->travelDistancePlus = Vector2D(38.0, 43.0);
   //this->travelDistanceMinus = Vector2D(-38.0, -43.0);
-  this->travelDistancePlus = Vector2D(500,500);
-  this->travelDistanceMinus = Vector2D(-500,-500);
+  this->travelDistancePlus = Vector2D(50,50);
+  this->travelDistanceMinus = Vector2D(-50,-50);
   this->isTravelDistanceInit = true;
   this->actionWidthPercentage = 1;