Index: code/branches/presentationFS15/data/gui/scripts/presentation.lua
===================================================================
--- code/branches/presentationFS15/data/gui/scripts/presentation.lua	(revision 10504)
+++ code/branches/presentationFS15/data/gui/scripts/presentation.lua	(revision 10505)
@@ -1,19 +1,18 @@
 -- Set some test variables
-xm = 1000 
-ym = 0
-zm = 0
+x0 = 0
+y0 = 500
+z0 = 500
 
-xl = -1000 
-yl = 3000 
-zl = -1000
+xo = 2000 
+yo = 0
+zo = 0
 
-xr = 2000
-yr = 500
-zr = 2000
+x1 = 3000
+y1 = 0 
+z1 = 0
 
-d = 5
-Tabs = 0
-
-pi = 3.1415
+x2 = 2000
+y2 = 2000 
+z2 = 0
 
 -- Get a local pointer to a scriptcontroller
@@ -23,17 +22,15 @@
 if ctrl ~= nil then
 
-  ctrl:eventScheduler("mal", xl,yl,zl, xl,yl,zl, 2)
   ctrl:eventScheduler("idle", 1)
-  ctrl:eventScheduler("ral", xl, yl, zl, 3, 0, 0, math.pi)
+  ctrl:eventScheduler("chl", x0, y0, z0, xo, yo, zo, 2)
   ctrl:eventScheduler("idle", 1)
-  ctrl:eventScheduler("mal", 0,0,1000, xl,yl,zl, 3)
+  ctrl:eventScheduler("mal", x2, y2, z2, xo, yo, zo, 2)
+  ctrl:eventScheduler("mal", x1, y1, z1, xo, yo, zo, 2)
   ctrl:eventScheduler("idle", 1)
-  ctrl:eventScheduler("chl", xl, yl, zl, xr, yr, zr, 2)
+  ctrl:eventScheduler("ral", xo, yo, zo, 3, 1000, 0, 5)
   ctrl:eventScheduler("idle", 1)
-  ctrl:eventScheduler("mal", xr + 600,yr,zr, xr,yr,zr, 4)
+  ctrl:eventScheduler("ral", xo, yo, zo, 2, 1000, 0, 5)
   ctrl:eventScheduler("idle", 1)
-  ctrl:eventScheduler("chl", xr, yr, zr, xl, yl, zl, 3)
-  ctrl:eventScheduler("idle", 1)
-  ctrl:eventScheduler("spi", xm,ym,zm, 0,0,0, 4)
+  ctrl:eventScheduler("ral", xo, yo, zo, 1, 1000, 0, 5)
   ctrl:eventScheduler("idle", 1)
 
Index: code/branches/presentationFS15/data/gui/scripts/testscript.lua
===================================================================
--- code/branches/presentationFS15/data/gui/scripts/testscript.lua	(revision 10504)
+++ code/branches/presentationFS15/data/gui/scripts/testscript.lua	(revision 10505)
@@ -25,5 +25,5 @@
   ctrl:eventScheduler("mal", xl,yl,zl, xl,yl,zl, 2)
   ctrl:eventScheduler("idle", 1)
-  ctrl:eventScheduler("ral", xl, yl, zl, 3, 0, 0, math.pi)
+  ctrl:eventScheduler("ral", xl, yl, zl, 3, 3000, 0, math.pi)
   ctrl:eventScheduler("idle", 1)
   ctrl:eventScheduler("mal", 0,0,1000, xl,yl,zl, 3)
Index: code/branches/presentationFS15/data/levels/presentationFS15.oxw
===================================================================
--- code/branches/presentationFS15/data/levels/presentationFS15.oxw	(revision 10504)
+++ code/branches/presentationFS15/data/levels/presentationFS15.oxw	(revision 10505)
@@ -16,5 +16,5 @@
   include("templates/spaceshipFS15.oxt")
   include("templates/orbStation.oxt")
-
+  include("templates/spaceshipSwallow.oxt")
 ?>
 
@@ -33,6 +33,15 @@
     <SpawnPoint team=0 position="-500,0,0" lookat="-1000,0,0" spawnclass=SpaceShip pawndesign=spaceshipfs15/>
 
+    <?lua for i=0,4,1 do ?>
+      <SpaceShip position="-3000,<?lua print(i*200)?>,0" lookat="-500,0,0" visible="true">
+        <templates>
+          <Template link=spaceshipswallow />
+        </templates>
+      </SpaceShip>
+    <?lua end ?>
+
+
     <!-- Docking  -->
-    <Dock position="-1000,0,0" roll=0 yaw=0 >
+    <Dock position="-2000,-1000,0" roll=0 yaw=0 >
       <attached>
         <Billboard position="0,0,0" material="Flares/ringflare2" colour="0.2,0.4,0.8" scale=1 />
@@ -67,8 +76,5 @@
     </SpaceShip>
 
-    <Billboard position="0,500,500" material="Flares/ringflare2" colour="0.8,0.4,0.2" scale=1 />
-    <DistanceTrigger position="0,500,500" distance="200" target="Pawn" name="takeControl"/>
-
-    <MovableEntity position="0,1000,1000" >
+    <MovableEntity position="2000,0,0" >
       <templates>
         <Template link=orbStation/>
@@ -81,5 +87,8 @@
     </MovableEntity>
 
-    <ControllerDirector position="0,0,0" scriptname="presentation">
+    <Billboard position="0,500,500" material="Flares/ringflare2" colour="0.8,0.4,0.2" scale=1 />
+    <DistanceTrigger position="0,500,500" distance="20" target="Pawn" name="takeControl"/>
+    
+    <ControllerDirector position="0,500,500" scriptname="presentation">
       <events>
         <takeControl>
Index: code/branches/presentationFS15/src/orxonox/controllers/ScriptController.cc
===================================================================
--- code/branches/presentationFS15/src/orxonox/controllers/ScriptController.cc	(revision 10504)
+++ code/branches/presentationFS15/src/orxonox/controllers/ScriptController.cc	(revision 10505)
@@ -245,17 +245,17 @@
               switch ((int) currentEvent.d) {
                 case 3:
-                  a = new Vector3(this->currentEvent.v1.x + 3000*cos(2*M_PI*dl),
-                                  this->currentEvent.v1.y + 3000*sin(2*M_PI*dl),
+                  a = new Vector3(this->currentEvent.v1.x + this->currentEvent.e *cos(2*M_PI*dl),
+                                  this->currentEvent.v1.y + this->currentEvent.e*sin(2*M_PI*dl),
                                   this->currentEvent.v1.z);
                 break;
                 case 2:
-                  a = new Vector3(this->currentEvent.v1.x + 3000*cos(2*M_PI*dl),
+                  a = new Vector3(this->currentEvent.v1.x + this->currentEvent.e*sin(2*M_PI*dl),
                                   this->currentEvent.v1.y,
-                                  this->currentEvent.v1.z + 3000*cos(2*M_PI*dl));
+                                  this->currentEvent.v1.z + this->currentEvent.e*cos(2*M_PI*dl));
                 break;
                 case 1:
                   a = new Vector3(this->currentEvent.v1.x,
-                                  this->currentEvent.v1.y + 3000*sin(2*M_PI*dl),
-                                  this->currentEvent.v1.z + 3000*cos(2*M_PI*dl));
+                                  this->currentEvent.v1.y + this->currentEvent.e*sin(2*M_PI*dl),
+                                  this->currentEvent.v1.z + this->currentEvent.e*cos(2*M_PI*dl));
                 break;
               }